curl --request POST \
--url 'https://api.stateset.com/api/v1/stock-snapshots' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"label": "Replacement tent pole set",
"lines": [
{
"location": "string",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity_available": "string",
"quantity_on_hand": "string",
"sku": "SKU-TENT-2P-GRN"
}
]
}'
{
"captured_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"label": "Replacement tent pole set",
"lines": [
{
"location": "string",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity_available": "string",
"quantity_on_hand": "string",
"sku": "SKU-TENT-2P-GRN"
}
],
"total_skus": 1,
"total_units": "string"
}
Capture
POST
/
api
/
v1
/
stock-snapshots
curl --request POST \
--url 'https://api.stateset.com/api/v1/stock-snapshots' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"label": "Replacement tent pole set",
"lines": [
{
"location": "string",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity_available": "string",
"quantity_on_hand": "string",
"sku": "SKU-TENT-2P-GRN"
}
]
}'
{
"captured_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"label": "Replacement tent pole set",
"lines": [
{
"location": "string",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity_available": "string",
"quantity_on_hand": "string",
"sku": "SKU-TENT-2P-GRN"
}
],
"total_skus": 1,
"total_units": "string"
}
Request body
CaptureRequest
string,null
CaptureLineRequest[]
required
Response
SnapshotResponse
string
required
string
required
string,null
SnapshotLineResponse[]
required
integer (int64)
required
string
required
Status codes
| Code | Meaning |
|---|---|
201 | — |
400 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/stock-snapshots' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"label": "Replacement tent pole set",
"lines": [
{
"location": "string",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity_available": "string",
"quantity_on_hand": "string",
"sku": "SKU-TENT-2P-GRN"
}
]
}'
{
"captured_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"label": "Replacement tent pole set",
"lines": [
{
"location": "string",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity_available": "string",
"quantity_on_hand": "string",
"sku": "SKU-TENT-2P-GRN"
}
],
"total_skus": 1,
"total_units": "string"
}
Last modified on August 31, 2026